import { getAllAppInContent } from './callFn';

chrome.action.onClicked.addListener((tab) => {
  console.log('扩展图标被点击', tab);
  (async () => {
    await chrome.sidePanel.open({ tabId: tab.id });
    await chrome.sidePanel.setOptions({
      tabId: tab.id,
      path: 'sidePanel.html',
      enabled: true,
    });
  })();
});

chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
  console.log(
    '%c [ request ]-16',
    'font-size:13px; background:pink; color:#bf2c9f;',
    request
  );
  if (request.type === 'GET_ALL_APPS') {
    getAllAppInContent();
  }
});
